import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React, { Component } from 'react';
import style from "../../index.module.scss";
// import Tpl1 from './tpl1';
// import Tpl2 from './tpl2';

import Tpl015 from "./tpl015";
import Tpl02 from "./tpl02";
import Tpl3 from "./tpl3";
// import Tpl4 from './tpl4';
// import Tpl5 from './tpl5';
import Tpl6 from "./tpl6";
// import Tpl7 from './tpl7';
// import Tpl8 from './tpl8';
import Tpl9 from "./tpl9";
// import Tpl10 from './tpl10';
// import Tpl11 from './tpl11';
// import Tpl12 from './tpl12';

import Tpl0005 from "./tpl0005";
import Tpl0006 from "./tpl0006";
import Tpl00018 from "./tpl00018";
import Tpl00012 from "./tpl00012";
import Tpl21 from "./tpl21";
// import Tpl13 from './tpl13';
var title = /*#__PURE__*/function (_Component) {
  _inheritsLoose(title, _Component);
  function title() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = title.prototype;
  _proto.render = function render() {
    var insetFn = this.props.insetFn;
    var handleClick = function handleClick(ev) {
      insetFn(ev.target.innerHTML);
    };
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl015, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl00012, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl00018, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl0005, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl0006, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl21, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl02, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl9, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl6, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl3, null)));
  };
  return title;
}(Component);
export { title as default };